# Set-RASADIntegrationSettings.md

## NAME

Set-RASADIntegrationSettings

## SYNOPSIS

Modifies the AD integration settings.

## SYNTAX

\*\*Set-RASADIntegrationSettings \[[CertificateAuthority](#certificateauthority-string) *(string)*] \[[EnrollmentAgentPassword](#enrollmentagentpassword-string) *(SecureString)*] \[[EnrollmentAgentUsername](#enrollmentagentusername-string) *(string)*] \[[NLAPassword](#nlapassword-string) *(SecureString)*] \[[NLAUsername](#nlausername-string) *(string)*] \[[SiteId](#siteid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Modifies the AD integration settings using the specified parameters and their values.

All parameters are optional.

## PARAMETERS

## SiteId (uint)

Site ID in which to modify the specified AD integration settings.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## CertificateAuthority (string)

Certificate authority

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## EnrollmentAgentUsername (string)

Username of the enrollment agent

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## EnrollmentAgentPassword (SecureString)

Password of the account specified in the EnrollmentAgentUsername parameter.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## NLAUsername (string)

Principal name in UPN format used to initialize the RDP session.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## NLAPassword (SecureString)

Password of the account specified in the NLAUsername parameter.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Set-RASADIntegrationSettings -SiteID 1 -EnrollmentAgentUsername "EAUsername"

Modifies the enrollment agent's username in the AD integration settings.

## RELATED LINKS

* [Get-RASADIntegrationSettings](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasadintegrationsettings.md)
* [Invoke-RASADIntegrationSettings](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/invoke-rasadintegrationsettings.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasadintegrationsettings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
